# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/bridge/ingenic,jz4780-hdmi.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Ingenic JZ4780 HDMI Transmitter

maintainers:
  - H. Nikolaus Schaller <hns@goldelico.com>

description: |
  The HDMI Transmitter in the Ingenic JZ4780 is a Synopsys DesignWare HDMI 1.4
  TX controller IP with accompanying PHY IP.

allOf:
  - $ref: synopsys,dw-hdmi.yaml#

properties:
  compatible:
    const: ingenic,jz4780-dw-hdmi

  reg-io-width:
    const: 4

  clocks:
    maxItems: 2

  clock-names:
    maxItems: 2

  ports:
    $ref: /schemas/graph.yaml#/properties/ports

    properties:
      port@0:
        $ref: /schemas/graph.yaml#/properties/port
        description: Input from LCD controller output.

      port@1:
        $ref: /schemas/graph.yaml#/properties/port
        description: Link to the HDMI connector.

required:
  - compatible
  - clocks
  - clock-names
  - ports
  - reg-io-width

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/clock/ingenic,jz4780-cgu.h>

    hdmi: hdmi@10180000 {
        compatible = "ingenic,jz4780-dw-hdmi";
        reg = <0x10180000 0x8000>;
        reg-io-width = <4>;
        interrupt-parent = <&intc>;
        interrupts = <3>;
        clocks = <&cgu JZ4780_CLK_AHB0>, <&cgu JZ4780_CLK_HDMI>;
        clock-names = "iahb", "isfr";

        ports {
            #address-cells = <1>;
            #size-cells = <0>;
            hdmi_in: port@0 {
                reg = <0>;
                dw_hdmi_in: endpoint {
                    remote-endpoint = <&jz4780_lcd_out>;
                };
            };
            hdmi_out: port@1 {
                reg = <1>;
                dw_hdmi_out: endpoint {
                    remote-endpoint = <&hdmi_con>;
                };
            };
        };
    };

...
